const API_INTERNAL_URI = require("../config.js").API_INTERNAL_URI;
const req = require("../utils/request").httpReq;

// 获取企业信息验证
exports.entCheck = async ctx => {
  const url = `${API_INTERNAL_URI}/merchant/inner/ent_check`;
  // const url = `http://bp-test.ini.yidian-inc.com/merchant/inner/ent_check`;
  const { user_id } = ctx.request.query;
  const opts = {
    url: url,
    method: "GET",
    qs: {
      user_id
    }
  };
  ctx.body = await req(ctx, opts);
};

// 企业信息提交
exports.entCommit = async ctx => {
  const url = `${API_INTERNAL_URI}/merchant/inner/ent_commit`;
  const opts = {
    url,
    method: "POST",
    json: true,
    timeout: 8000,
    body: ctx.request.body
  };
  ctx.body = await req(ctx, opts);
};

// 生活号检查
exports.checkLife = async ctx => {
  const url = `${API_INTERNAL_URI}/merchant/enterprise/check_life`;
  const opts = {
    url,
    method: "POST",
    json: true,
    timeout: 8000,
    body: ctx.request.body
  };
  ctx.body = await req(ctx, opts);
};

// 创建生活号
exports.createLife = async ctx => {
  const url = `${API_INTERNAL_URI}/merchant/enterprise/create_life`;
  const opts = {
    url,
    method: "POST",
    json: true,
    timeout: 8000,
    body: ctx.request.body
  };
  ctx.body = await req(ctx, opts);
};
